/*
 *  KernelEx
 *  Copyright (C) 2008, Xeno86
 *
 *  This file is part of KernelEx source code.
 *
 *  KernelEx is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published
 *  by the Free Software Foundation; version 2 of the License.
 *
 *  KernelEx is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include "common.h"
#include "kexcoresdk.h"
#include "_user32_apilist.h"

BOOL init_user32()
{
	return TRUE;
}

static const apilib_named_api user32_named_apis[] = 
{
/*** AUTOGENERATED APILIST NAMED EXPORTS BEGIN ***/
	DECL_API("AppendMenuW", AppendMenuW_fwd),
	DECL_API("BroadcastSystemMessageW", BroadcastSystemMessageW_fwd),
	DECL_API("CallMsgFilterW", CallMsgFilterW_fwd),
	DECL_API("CallWindowProcW", CallWindowProcW_fwd),
	DECL_API("ChangeDisplaySettingsExW", ChangeDisplaySettingsExW_fwd),
	DECL_API("ChangeDisplaySettingsW", ChangeDisplaySettingsW_fwd),
	DECL_API("ChangeMenuW", ChangeMenuW_fwd),
	DECL_API("CharLowerBuffW", CharLowerBuffW_fwd),
	DECL_API("CharLowerW", CharLowerW_fwd),
	DECL_API("CharNextW", CharNextW_fwd),
	DECL_API("CharPrevW", CharPrevW_fwd),
	DECL_API("CharToOemBuffW", CharToOemBuffW_fwd),
	DECL_API("CharToOemW", CharToOemW_fwd),
	DECL_API("CharUpperBuffW", CharUpperBuffW_fwd),
	DECL_API("CharUpperW", CharUpperW_fwd),
	DECL_API("CopyAcceleratorTableW", CopyAcceleratorTableW_fwd),
	DECL_API("CreateAcceleratorTableW", CreateAcceleratorTableW_fwd),
	DECL_API("CreateDialogIndirectParamW", CreateDialogIndirectParamW_fwd),
	DECL_API("CreateDialogParamW", CreateDialogParamW_new),
	DECL_API("CreateMDIWindowW", CreateMDIWindowW_fwd),
	DECL_API("CreateWindowExW", CreateWindowExW_fwd),
	DECL_API("DdeCreateStringHandleW", DdeCreateStringHandleW_fwd),
	DECL_API("DdeInitializeW", DdeInitializeW_fwd),
	DECL_API("DdeQueryStringW", DdeQueryStringW_fwd),
	DECL_API("DefDlgProcW", DefDlgProcW_fwd),
	DECL_API("DefFrameProcW", DefFrameProcW_fwd),
	DECL_API("DefMDIChildProcW", DefMDIChildProcW_fwd),
	DECL_API("DefWindowProcW", DefWindowProcW_new),
	DECL_API("DialogBoxIndirectParamW", DialogBoxIndirectParamW_fwd),
	DECL_API("DialogBoxParamW", DialogBoxParamW_fwd),
	DECL_API("DispatchMessageW", DispatchMessageW_fwd),
	DECL_API("DlgDirListComboBoxW", DlgDirListComboBoxW_fwd),
	DECL_API("DlgDirListW", DlgDirListW_fwd),
	DECL_API("DlgDirSelectComboBoxExW", DlgDirSelectComboBoxExW_fwd),
	DECL_API("DlgDirSelectExW", DlgDirSelectExW_fwd),
	DECL_API("DrawStateW", DrawStateW_fwd),
	DECL_API("DrawTextExW", DrawTextExW_fwd),
	DECL_API("DrawTextW", DrawTextW_fwd),
	DECL_API("EnumDisplayDevicesW", EnumDisplayDevicesW_fwd),
	DECL_API("EnumDisplaySettingsExW", EnumDisplaySettingsExW_fwd),
	DECL_API("EnumDisplaySettingsW", EnumDisplaySettingsW_fwd),
	DECL_API("EnumPropsExW", EnumPropsExW_fwd),
	DECL_API("EnumPropsW", EnumPropsW_fwd),
	DECL_API("FindWindowExW", FindWindowExW_fwd),
	DECL_API("FindWindowW", FindWindowW_fwd),
	DECL_API("GetAltTabInfoW", GetAltTabInfoW_fwd),
	DECL_API("GetClassInfoExW", GetClassInfoExW_fwd),
	DECL_API("GetClassInfoW", GetClassInfoW_fwd),
	DECL_API("GetClassLongW", GetClassLongW_fwd),
	DECL_API("GetClassNameW", GetClassNameW_fwd),
	DECL_API("GetClipboardFormatNameW", GetClipboardFormatNameW_fwd),
	DECL_API("GetDlgItemTextW", GetDlgItemTextW_fwd),
	DECL_API("GetKeyNameTextW", GetKeyNameTextW_fwd),
	DECL_API("GetKeyboardLayoutNameW", GetKeyboardLayoutNameW_fwd),
	DECL_API("GetMenuItemInfoW", GetMenuItemInfoW_fwd),
	DECL_API("GetMenuStringW", GetMenuStringW_fwd),
	DECL_API("GetMessageW", GetMessageW_fwd),
	DECL_API("GetMonitorInfoW", GetMonitorInfoW_fwd),
	DECL_API("GetPropW", GetPropW_fwd),
	DECL_API("GetTabbedTextExtentW", GetTabbedTextExtentW_fwd),
	DECL_API("GetWindowLongW", GetWindowLongW_fwd),
	DECL_API("GetWindowTextLengthW", GetWindowTextLengthW_fwd),
	DECL_API("GetWindowTextW", GetWindowTextW_fwd),
	DECL_API("GrayStringW", GrayStringW_fwd),
	DECL_API("InsertMenuItemW", InsertMenuItemW_fwd),
	DECL_API("InsertMenuW", InsertMenuW_fwd),
	DECL_API("IsCharAlphaNumericW", IsCharAlphaNumericW_fwd),
	DECL_API("IsCharAlphaW", IsCharAlphaW_fwd),
	DECL_API("IsCharLowerW", IsCharLowerW_fwd),
	DECL_API("IsCharUpperW", IsCharUpperW_fwd),
	DECL_API("IsDialogMessageW", IsDialogMessageW_fwd),
	DECL_API("IsWindowUnicode", IsWindowUnicode_fwd),
	DECL_API("LoadAcceleratorsW", LoadAcceleratorsW_fwd),
	DECL_API("LoadBitmapW", LoadBitmapW_fwd),
	DECL_API("LoadCursorFromFileW", LoadCursorFromFileW_fwd),
	DECL_API("LoadCursorW", LoadCursorW_fwd),
	DECL_API("LoadIconW", LoadIconW_fwd),
	DECL_API("LoadImageW", LoadImageW_fwd),
	DECL_API("LoadKeyboardLayoutW", LoadKeyboardLayoutW_fwd),
	DECL_API("LoadMenuIndirectW", LoadMenuIndirectW_fwd),
	DECL_API("LoadMenuW", LoadMenuW_fwd),
	DECL_API("MapVirtualKeyExW", MapVirtualKeyExW_fwd),
	DECL_API("MapVirtualKeyW", MapVirtualKeyW_fwd),
	DECL_API("MessageBoxIndirectW", MessageBoxIndirectW_fwd),
	DECL_API("ModifyMenuW", ModifyMenuW_fwd),
	DECL_API("OemToCharBuffW", OemToCharBuffW_fwd),
	DECL_API("OemToCharW", OemToCharW_fwd),
	DECL_API("PeekMessageW", PeekMessageW_fwd),
	DECL_API("PostMessageW", PostMessageW_fwd),
	DECL_API("PostThreadMessageW", PostThreadMessageW_fwd),
	DECL_API("RegisterClassExW", RegisterClassExW_fwd),
	DECL_API("RegisterClassW", RegisterClassW_fwd),
	DECL_API("RegisterClipboardFormatW", RegisterClipboardFormatW_fwd),
	DECL_API("RegisterDeviceNotificationW", RegisterDeviceNotificationW_fwd),
	DECL_API("RegisterWindowMessageW", RegisterWindowMessageW_fwd),
	DECL_API("RemovePropW", RemovePropW_fwd),
	DECL_API("SendDlgItemMessageW", SendDlgItemMessageW_fwd),
	DECL_API("SendMessageCallbackW", SendMessageCallbackW_fwd),
	DECL_API("SendMessageTimeoutW", SendMessageTimeoutW_fwd),
	DECL_API("SendMessageW", SendMessageW_fwd),
	DECL_API("SendNotifyMessageW", SendNotifyMessageW_fwd),
	DECL_API("SetClassLongW", SetClassLongW_fwd),
	DECL_API("SetDlgItemTextW", SetDlgItemTextW_fwd),
	DECL_API("SetMenuItemInfoW", SetMenuItemInfoW_fwd),
	DECL_API("SetPropW", SetPropW_fwd),
	DECL_API("SetWindowLongW", SetWindowLongW_fwd),
	DECL_API("SetWindowTextW", SetWindowTextW_fwd),
	DECL_API("SetWindowsHookExW", SetWindowsHookExW_fwd),
	DECL_API("SetWindowsHookW", SetWindowsHookW_fwd),
	DECL_API("SystemParametersInfoW", SystemParametersInfoW_fwd),
	DECL_API("TabbedTextOutW", TabbedTextOutW_fwd),
	DECL_API("TranslateAcceleratorW", TranslateAcceleratorW_fwd),
	DECL_API("UnregisterClassW", UnregisterClassW_fwd),
	DECL_API("VkKeyScanExW", VkKeyScanExW_fwd),
	DECL_API("VkKeyScanW", VkKeyScanW_fwd),
	DECL_API("WinHelpW", WinHelpW_fwd),
	DECL_API("wsprintfW", wsprintfW_fwd),
	DECL_API("wvsprintfW", wvsprintfW_fwd),
/*** AUTOGENERATED APILIST NAMED EXPORTS END ***/
};

#if 0
static const apilib_unnamed_api user32_ordinal_apis[] =
{
/*** AUTOGENERATED APILIST ORDINAL EXPORTS BEGIN ***/
/*** AUTOGENERATED APILIST ORDINAL EXPORTS END ***/
};
#endif

const apilib_api_table apitable_user32 = DECL_TAB("USER32.DLL", user32_named_apis, 0 /*user32_ordinal_apis*/);
